XIncludeNamespaceSupport (Xerces2 Implementation)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xinclude
Class XIncludeNamespaceSupport

    java.lang.Object
      org.apache.xerces.util.NamespaceSupport
          org.apache.xerces.xinclude.MultipleScopeNamespaceSupport
              org.apache.xerces.xinclude.XIncludeNamespaceSupport

All Implemented Interfaces:
  org.apache.xerces.xni.NamespaceContext

    public class XIncludeNamespaceSupport

extends MultipleScopeNamespaceSupport

This is an implementation of NamespaceContext which is intended to be used for XInclude processing. It enables each context to be marked as invalid, if necessary, to indicate that the namespaces recorded on those contexts won't be apparent in the resulting infoset.

Version:
  $Id: XIncludeNamespaceSupport.java 447243 2006-09-18 05:15:27Z mrglavas $
Author:
  Peter McCracken, IBM

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xerces.util.NamespaceSupport
`NamespaceSupport.Prefixes`

Field Summary

Fields inherited from class org.apache.xerces.xinclude.MultipleScopeNamespaceSupport
`fCurrentScope, fScope`

Fields inherited from class org.apache.xerces.util.NamespaceSupport
`fContext, fCurrentContext, fNamespace, fNamespaceSize, fPrefixes`

Fields inherited from interface org.apache.xerces.xni.NamespaceContext
`XML_URI, XMLNS_URI`

Constructor Summary
`XIncludeNamespaceSupport()`
`XIncludeNamespaceSupport(org.apache.xerces.xni.NamespaceContext context)`

Method Summary
`java.lang.String` | `getURIFromIncludeParent(java.lang.String prefix)` This returns the namespace URI which was associated with the given pretext, in the context that existed at the include parent of the current element.
`void` | `pushContext()` Pushes a new context onto the stack.
`void` | `setContextInvalid()` This method is used to set a context invalid for XInclude namespace processing.

Methods inherited from class org.apache.xerces.xinclude.MultipleScopeNamespaceSupport
`getAllPrefixes, getPrefix, getPrefix, getPrefix, getScopeForContext, getURI, getURI, getURI, popScope, pushScope, reset`

Methods inherited from class org.apache.xerces.util.NamespaceSupport
`containsPrefix, declarePrefix, getDeclaredPrefixAt, getDeclaredPrefixCount, popContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XIncludeNamespaceSupport

    public XIncludeNamespaceSupport()

### XIncludeNamespaceSupport

    public XIncludeNamespaceSupport(org.apache.xerces.xni.NamespaceContext context)

Parameters:
  `context` -

Method Detail

### pushContext

    public void pushContext()

  Pushes a new context onto the stack.

  Specified by:
    `pushContext` in interface `org.apache.xerces.xni.NamespaceContext`
  Overrides:
    `pushContext` in class `NamespaceSupport`
  See Also:
    `NamespaceContext.pushContext()`

### setContextInvalid

    public void setContextInvalid()

  This method is used to set a context invalid for XInclude namespace processing. Any context defined by an <include> or <fallback> element is not valid for processing the include parent's [in-scope namespaces]. Thus, contexts defined by these elements are set to invalid by the XInclude processor using this method.

### getURIFromIncludeParent

    public java.lang.String getURIFromIncludeParent(java.lang.String prefix)

  This returns the namespace URI which was associated with the given pretext, in the context that existed at the include parent of the current element. The include parent is the last element, before the current one, which was not set to an invalid context using setContextInvalid()

  Parameters:
    `prefix` - the prefix of the desired URI
  Returns:
    the URI corresponding to the prefix in the context of the include parent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.